#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "plainutf8.h"

#define check(x) checkf(x, #x, __FILE__, __LINE__)

static int failed = 0;

void checkf(int x, const char *s, const char *file, int line)
{
    if (x) return;
    printf("%s, %d: FAILED (%s)\n", file, line, s);
    failed = 1;
}
